# Employer Profiles Employer Profiles ## Creates a new employer profile record that does not already exist. - [POST /employerProfiles/{tenantId}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/employer-profiles/createemployerprofile.md): This method will auto-generate an ID and create a new employer profile. If an ID is specified for the employer profile, an error will be thrown. ## Execute Batch Operations - [POST /employerProfiles/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/employer-profiles/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a employer profile from the system by its ID. - [DELETE /employerProfiles/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/employer-profiles/deleteemployerprofile.md): This method will delete a employer profile with the specified ID. ## Returns a employer profile from the system by its ID. - [GET /employerProfiles/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/employer-profiles/getemployerprofile.md): This method will look up a employer profile by the specified ID and return it back. ## Partially updates a employer profile with the specified ID. - [PATCH /employerProfiles/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/employer-profiles/patchemployerprofile.md): This method will patch an existing employer profile with the specified ID, using the HTTP PATCH specification. ## Updates a employer profile with the specified ID. - [PUT /employerProfiles/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/employer-profiles/updateemployerprofile.md): This method will update an existing employer profile with the specified ID.